Skip to content
Management API Reference

Get delivery

get/v2/projects/{ref}/webhooks/deliveries/{id}

Get details of a specific delivery attempt.

Path parameters

  • ref
    Required
    string

    Project ref

  • id
    Required
    string

    Identifier of a delivery (UUID v7).

Response codes

  • 200
  • 400
  • 401
  • 403
  • 404
  • 408
  • 429
  • 500

Response (200)

{
"data": {
"type": "delivery",
"id": "00000000-0000-0000-0000-000000000000",
"attributes": {
"id": "00000000-0000-0000-0000-000000000000",
"event_id": "00000000-0000-0000-0000-000000000000",
"status": "pending",
"response_code": -9007199254740991,
"response_headers": {
"property1": "lorem",
"property2": "lorem"
},
"response_body": {
"property1": "lorem",
"property2": "lorem"
},
"attempt_timestamp": "4404-02-29T04:24Z",
"event": {
"type": "v1.project.paused",
"payload": {
"organization_slug": "tsrqponmlkjihgfedcba",
"project_ref": "abcdefghijklmnopqrst",
"property1": null,
"property2": null
},
"timestamp": "4404-02-29T04:24Z"
}
}
}
}